Subject: Re: Problems with dma_alloc_coherent()

From: Adrian Cox <[email-masked]>
Date: Sat, 03 Apr 2004 08:33:19 +0100

On Fri, 2004-04-02 at 23:54, Paul Mackerras wrote:

> If you want to write code to handle a separate DMA controller, go
> ahead.  You will need to design your own separate API for it.  I
> wouldn't try to make it too general, though, since there are very few
> systems these days that have DMA controllers (as distinct from
> bus-master capable I/O devices).

Actually, they are extremely common in the embedded market. On my desk I
have three Linux systems with this class of DMA engine: an MPC107/7410,
an ARM9 from Cirrus, and an ARM9 from TI. Most system-on-a-chip
processors have DMA engines which can move between any two of memory,
PCI, and internal peripherals.

- Adrian Cox

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/